<?
require'config.php';
aut();
who_add(0,'enter');

if (!ctype_digit($_GET['us'])){header('Location: index?'.SID);die;}
$nk = intval($_GET['us']);
$golos = intval($_POST['golos']);
$select = @$db->sql_query ("Select * from users where id='".$nk."'");


if (mysql_affected_rows() == 0){
$align='left';
$title='Анкета';
head();
echo "Юзер не найден. Возможно ник удалён.<br/>";
foot();
exit();
}

if ( $golos > 25 AND $golos == 0 ) {
    
head();
echo "Ошибка.<br/>";
foot();
exit();
}

$inf = $db->sql_fetchrow ($select);

if ( $inf[id] == $user[id]) {
    
head();
echo "Вы не можете за себя голосовать.<br/>";
foot();
exit();
}

mysql_query ("Select * from golos WHERE (user_1 = '".$inf['id']."') AND (user_2 = '".$user['id']."')");
if(mysql_affected_rows()==1) {
head();
echo "Вы уже голосовали.<br/>";
foot();
exit();
} 


if ( $golos <= 10  ) {
mysql_query("INSERT INTO `golos` SET `user_1` = '".$inf['id']."', `user_2` = '".$user['id']."', `golos` = '".$golos."'");
$to = $inf[id];
$time = time();
$msg = 'За вашу страничку проголосовал(а) '.$user['user'].' +'.$golos;
$db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user_system','0','".user($to)."','".user_inf($to)."','$time','$msg')");
    
header('Location: '.H.$inf[id].'');

} else {
    
    if ( $golos == 15 AND $inf['rur'] < 1 ) {
        
        echo 'У вас не достаточно средств';
        
    } else {
        mysql_query("INSERT INTO `golos` SET `user_1` = '".$inf['id']."', `user_2` = '".$user['id']."', `golos` = '".$golos."' LIMIT 1");
        $to = $inf[id];
$time = time();
        $msg = 'За вашу страничку проголосовал(а) '.$user['user'].' +'.$golos;
        $db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user_system','0','".user($to)."','".user_inf($to)."','$time','$msg')");
        
        $res_rur = $user['rur'] - 1;
        mysql_query ("UPDATE users SET `rur` = '".$res_rur."' WHERE `id` = '".$user['id']."'");
        header('Location: '.H.$inf[id].'');
        
        
    }
    
    if ( $golos == 25 AND $inf['rur'] < 2 ) {
        
        echo 'У вас не достаточно средств';
        
    } else {
        mysql_query("INSERT INTO `golos` SET `user_1` = '".$inf['id']."', `user_2` = '".$user['id']."', `golos` = '".$golos."'");
        $to = $inf[id];
$time = time();
        $msg = 'За вашу страничку проголосовал(а) '.$user['user'].' +'.$golos;
        $db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user[user]','$user[id]','".user($to)."','".user_inf($to)."','$time','$msg')");
        
        $res_rur = $user['rur'] - 3;
        mysql_query ("UPDATE users SET `rur` = '".$res_rur."' WHERE `id` = '".$user['id']."'");
        header('Location: '.H.$inf[id].'');
        
        
    }
}



?>